Search found 79 matches

by Parduz
Wed Jul 25, 2018 4:41 pm
Forum: C++ Development
Topic: Confused about wxThreadHelper and how to use it
Replies: 7
Views: 809

Re: Confused about wxThreadHelper and how to use it

Ok, I tried to go further, and now i have some segmentation fault / invalid pointer / free() errors if i use QueueEvent and also if i call the thread Pause/Resume methods. (my program runs on Debian, if this matters) Here the relevant part of my code: CommManager.cpp // class CommManager : public wx...
by Parduz
Fri Jul 20, 2018 8:22 am
Forum: C++ Development
Topic: Confused about wxThreadHelper and how to use it
Replies: 7
Views: 809

Re: Confused about wxThreadHelper and how to use it

My first problem is that the "Bind" line does'nt compile, and i don't understand why. Try: Bind(wxEVT_MYTHREAD, &CommManager::OnSerialRxCompleted, this); Nope. This is the error: C:\Source\Codeblocks\Progetti\DataGraphics\src\CommManager.cpp:18:62: required from here C:\SVILUPPO\Toolchains\wxWidget...
by Parduz
Thu Jul 19, 2018 3:21 pm
Forum: C++ Development
Topic: Confused about wxThreadHelper and how to use it
Replies: 7
Views: 809

Confused about wxThreadHelper and how to use it

I'm trying to grasp the wxThreadHelper but i'm a bit confused, and i would ask a direction before starting banging my head. What I'm trying to do is to create a custom component that act as a non blocking "communication device", wrapping a socket and a serial port and exposing a pair of methods to w...
by Parduz
Tue Mar 27, 2018 8:18 am
Forum: Compiler / Linking / IDE Related
Topic: Win7:How to build with different Gcc versions and use them?
Replies: 13
Views: 3627

Re: Win7:How to build with different Gcc versions and use them?

i got an error :( This is what i've done: First clean: mingw32-make -f makefile.gcc clean mingw32-make -f makefile.gcc CFG=MinGW630 clean Then build: mingw32-make -f makefile.gcc CXXFLAGS="-std=gnu++11" USE_XRC=1 SHARED=0 MONOLITHIC=0 BUILD=debug CFG=MinGW630 This is the error: gcc -c -o gcc_mswudM...
by Parduz
Fri Mar 16, 2018 4:04 pm
Forum: Platform Related Issues
Topic: wxGauge size issues on Arm Debian Jessie
Replies: 4
Views: 929

Re: wxGauge size issues on Arm Debian Jessie

What is the GTK+ version you use in both cases? Are they the same? I don't think so: the fist one is a screenshot of the Windows7 preview in wxCrafter :?: (well, the compiled exe looks the same) The second one is my app running on the BBB. Here's what i have on the Beaglebone: [email protected]:/home...
by Parduz
Fri Mar 16, 2018 1:28 pm
Forum: Platform Related Issues
Topic: wxGauge size issues on Arm Debian Jessie
Replies: 4
Views: 929

wxGauge size issues on Arm Debian Jessie

Question related to Debian Stretch with LXQT for Beaglebone Black, wxWidgets 3.0.3, GTK 3 (? i believe) I want to get this layout - - - wxGauges Win.png (created with wxCrafter 2.0 on Windows7) but on my Beaglebone black instead I get this - - - wxGauges Debian.png and i don't know why... and neith...
by Parduz
Fri Nov 10, 2017 4:52 pm
Forum: Compiler / Linking / IDE Related
Topic: Win7:How to build with different Gcc versions and use them?
Replies: 13
Views: 3627

Re: Win7:How to build with different Gcc versions and use them?

Sorry for the delay, got sidetracked by some other emergency ... Today i've been back to this again, and finally compiled my app with the libraries built with MinGW4.9.2. Some of the obstacle i've found (i plan to recap everything in a final post for everyone might be interested in the future): - Ye...
by Parduz
Tue Nov 07, 2017 3:57 pm
Forum: Compiler / Linking / IDE Related
Topic: Win7:How to build with different Gcc versions and use them?
Replies: 13
Views: 3627

Re: Win7:How to build with different Gcc versions and use them?

I don't think the error you get comes from the CFG part. Me neither. Sorry if i gave that impression. The CFG part worked and so I was reporting what happened :) As a proof of it, the MinGW 4.9.3 built the libraries without any problem, given the same exact command with just the PATH variable chang...
by Parduz
Tue Nov 07, 2017 11:11 am
Forum: Compiler / Linking / IDE Related
Topic: Win7:How to build with different Gcc versions and use them?
Replies: 13
Views: 3627

Re: Win7:How to build with different Gcc versions and use them?

If you want to make differents builds, you can use the "CFG' parameter on the command line. Thanks! I've googled a lot to find if and what the "option" to do this was, and never find it.... what should i've looked for? Anyway: tried it, i got an error :( This is what i've done: First clean: mingw32...
by Parduz
Mon Nov 06, 2017 4:57 pm
Forum: Compiler / Linking / IDE Related
Topic: Win7:How to build with different Gcc versions and use them?
Replies: 13
Views: 3627

Re: Win7:How to build with different Gcc versions and use them?

I don't see how installing and maintaing two virtual systems could be less complicated than building the widgets with two different compilers and let them coexist.... unless the latter being so damn hard to make your option the better one :) More seriously, I'm a "windows man" forced to work with Li...
by Parduz
Mon Nov 06, 2017 4:11 pm
Forum: Compiler / Linking / IDE Related
Topic: Win7:How to build with different Gcc versions and use them?
Replies: 13
Views: 3627

Win7:How to build with different Gcc versions and use them?

The title is a bit short for what i think is a rather complex question. My english is poor, so i'll go with short phrases trying to explain that i'd need and why. What I have: two BeagleBoneBlack boards (BBBs) with different Debian images: one have Gcc 4.9.2 and one with Gcc 6.3.0 and wxWidgets 3.0....
by Parduz
Mon May 08, 2017 1:51 pm
Forum: Compiler / Linking / IDE Related
Topic: Beaglebone Black with Debian/Jessie, and wxWidgets 3.1.0 ?
Replies: 2
Views: 849

Beaglebone Black with Debian/Jessie, and wxWidgets 3.1.0 ?

Premise: i'm an italian Windows developer, and very noob in the linux field... I tried and failed to compile the wx3.1.0 sources on a BeagleBone Black running his latest debian/jessie image. I also failed to find any precompiled binary of the 3.1.0 version. As I have to start developing to show some...
by Parduz
Thu Jun 18, 2015 1:44 pm
Forum: Compiler / Linking / IDE Related
Topic: Cannot link from Code::Block. Help?
Replies: 4
Views: 1006

Re: Cannot link from Code::Block. Help?

Basically..... how do you know it? From experience ;) :) However, if you create a new wxWidgets project from scratch with Code:Blocks (or any similar IDE), i think these standard libraries are always added automatically. You only have to deal with this if you create a new project from scratch. Nope...
by Parduz
Thu Jun 18, 2015 1:17 pm
Forum: Compiler / Linking / IDE Related
Topic: Cannot link from Code::Block. Help?
Replies: 4
Views: 1006

Re: Cannot link from Code::Block. Help?

... thanks!
It is "gcc_lib\libwxexpatd.a".

Now, to learn a bit.... how should i have know this? Where should have i looked for?
Basically..... how do you know it? :)
by Parduz
Thu Jun 18, 2015 12:44 pm
Forum: Compiler / Linking / IDE Related
Topic: Cannot link from Code::Block. Help?
Replies: 4
Views: 1006

Cannot link from Code::Block. Help?

I have an already working c++ + wxWidgets app built in Eclipse, with wxWidgets built using MSYS. Now i'd like to try different IDEs, like CodeLite and Code::Blocks, but when i tried them they did'nt work 'cause i was lacking a build.cfg file they wants. So i tried a "clean" way, backupped the wxWidg...